#include <iostream>
#include <iomanip>
using namespace std;

int main ()
{
    int L,n,m,sum=0,br;
    cin>>L>>m>>n;
    while ( L<<sum)
    {
        m=n+m;
        sum=sum+m;
        br=br+1;
          cout<<br;
          return 0;
    }
    return 0;
}
